Bug 12850 - Update request: kernel-3.12.13-2.mga4
: Update request: kernel-3.12.13-2.mga4
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: Security
: 4
: All Linux
: Normal Severity: normal
: ---
Assigned To: QA Team
: Sec team
:
: MGA4-32-OK MGA4-64-OK advisory
: validated_update
:
: 12851
  Show dependency treegraph
 
Reported: 2014-02-22 14:32 CET by Thomas Backlund
Modified: 2014-02-26 19:45 CET (History)
7 users (show)

See Also:
Source RPM: kernel-3.12.13-2.mga4
CVE:
Status comment:


Attachments

Description Thomas Backlund 2014-02-22 14:32:31 CET
This is an update to 3.12.13, wich fixes atleast one CVE, but also improves hw
support and fixes another boot issue on new hw.

I'll write a better advisory tomorrow...

Now the idea is to get them on the mga4 re-spin, so lets try to test them as soon as possible. The same kernel has been pushed in couldron to broaden the tests.


SRPMS:
kernel-3.12.13-1.mga4.src.rpm
kernel-userspace-headers-3.12.13-1.mga4.src.rpm
kmod-vboxadditions-4.3.6-10.mga4.src.rpm
kmod-virtualbox-4.3.6-10.mga4.src.rpm
kmod-xtables-addons-2.3-42.mga4.src.rpm

kmod-broadcom-wl-6.30.223.141-26.mga4.nonfree.src.rpm
kmod-fglrx-13.251-11.mga4.nonfree.src.rpm
kmod-nvidia173-173.14.39-12.mga4.nonfree.src.rpm
kmod-nvidia304-304.119-4.mga4.nonfree.src.rpm



i586:
cpupower-3.12.13-1.mga4.i586.rpm
cpupower-devel-3.12.13-1.mga4.i586.rpm
kernel-desktop-3.12.13-1.mga4-1-1.mga4.i586.rpm
kernel-desktop586-3.12.13-1.mga4-1-1.mga4.i586.rpm
kernel-desktop586-devel-3.12.13-1.mga4-1-1.mga4.i586.rpm
kernel-desktop586-devel-latest-3.12.13-1.mga4.i586.rpm
kernel-desktop586-latest-3.12.13-1.mga4.i586.rpm
kernel-desktop-devel-3.12.13-1.mga4-1-1.mga4.i586.rpm
kernel-desktop-devel-latest-3.12.13-1.mga4.i586.rpm
kernel-desktop-latest-3.12.13-1.mga4.i586.rpm
kernel-doc-3.12.13-1.mga4.noarch.rpm
kernel-server-3.12.13-1.mga4-1-1.mga4.i586.rpm
kernel-server-devel-3.12.13-1.mga4-1-1.mga4.i586.rpm
kernel-server-devel-latest-3.12.13-1.mga4.i586.rpm
kernel-server-latest-3.12.13-1.mga4.i586.rpm
kernel-source-3.12.13-1.mga4-1-1.mga4.noarch.rpm
kernel-source-latest-3.12.13-1.mga4.noarch.rpm
kernel-userspace-headers-3.12.13-1.mga4.i586.rpm
perf-3.12.13-1.mga4.i586.rpm

vboxadditions-kernel-3.12.13-desktop-1.mga4-4.3.6-10.mga4.i586.rpm
vboxadditions-kernel-3.12.13-desktop586-1.mga4-4.3.6-10.mga4.i586.rpm
vboxadditions-kernel-3.12.13-server-1.mga4-4.3.6-10.mga4.i586.rpm
vboxadditions-kernel-desktop586-latest-4.3.6-10.mga4.i586.rpm
vboxadditions-kernel-desktop-latest-4.3.6-10.mga4.i586.rpm
vboxadditions-kernel-server-latest-4.3.6-10.mga4.i586.rpm

virtualbox-kernel-3.12.13-desktop-1.mga4-4.3.6-10.mga4.i586.rpm
virtualbox-kernel-3.12.13-desktop586-1.mga4-4.3.6-10.mga4.i586.rpm
virtualbox-kernel-3.12.13-server-1.mga4-4.3.6-10.mga4.i586.rpm
virtualbox-kernel-desktop586-latest-4.3.6-10.mga4.i586.rpm
virtualbox-kernel-desktop-latest-4.3.6-10.mga4.i586.rpm
virtualbox-kernel-server-latest-4.3.6-10.mga4.i586.rpm

xtables-addons-kernel-3.12.13-desktop-1.mga4-2.3-42.mga4.i586.rpm
xtables-addons-kernel-3.12.13-desktop586-1.mga4-2.3-42.mga4.i586.rpm
xtables-addons-kernel-3.12.13-server-1.mga4-2.3-42.mga4.i586.rpm
xtables-addons-kernel-desktop586-latest-2.3-42.mga4.i586.rpm
xtables-addons-kernel-desktop-latest-2.3-42.mga4.i586.rpm
xtables-addons-kernel-server-latest-2.3-42.mga4.i586.rpm

broadcom-wl-kernel-3.12.13-desktop-1.mga4-6.30.223.141-26.mga4.nonfree.i586.rpm
broadcom-wl-kernel-3.12.13-desktop586-1.mga4-6.30.223.141-26.mga4.nonfree.i586.rpm
broadcom-wl-kernel-3.12.13-server-1.mga4-6.30.223.141-26.mga4.nonfree.i586.rpm
broadcom-wl-kernel-desktop586-latest-6.30.223.141-26.mga4.nonfree.i586.rpm
broadcom-wl-kernel-desktop-latest-6.30.223.141-26.mga4.nonfree.i586.rpm
broadcom-wl-kernel-server-latest-6.30.223.141-26.mga4.nonfree.i586.rpm

fglrx-kernel-3.12.13-desktop-1.mga4-13.251-11.mga4.nonfree.i586.rpm
fglrx-kernel-3.12.13-desktop586-1.mga4-13.251-11.mga4.nonfree.i586.rpm
fglrx-kernel-3.12.13-server-1.mga4-13.251-11.mga4.nonfree.i586.rpm
fglrx-kernel-desktop586-latest-13.251-11.mga4.nonfree.i586.rpm
fglrx-kernel-desktop-latest-13.251-11.mga4.nonfree.i586.rpm
fglrx-kernel-server-latest-13.251-11.mga4.nonfree.i586.rpm

nvidia173-kernel-3.12.13-desktop-1.mga4-173.14.39-12.mga4.nonfree.i586.rpm
nvidia173-kernel-3.12.13-desktop586-1.mga4-173.14.39-12.mga4.nonfree.i586.rpm
nvidia173-kernel-3.12.13-server-1.mga4-173.14.39-12.mga4.nonfree.i586.rpm
nvidia173-kernel-desktop586-latest-173.14.39-12.mga4.nonfree.i586.rpm
nvidia173-kernel-desktop-latest-173.14.39-12.mga4.nonfree.i586.rpm
nvidia173-kernel-server-latest-173.14.39-12.mga4.nonfree.i586.rpm

nvidia304-kernel-3.12.13-desktop-1.mga4-304.119-4.mga4.nonfree.i586.rpm
nvidia304-kernel-3.12.13-desktop586-1.mga4-304.119-4.mga4.nonfree.i586.rpm
nvidia304-kernel-3.12.13-server-1.mga4-304.119-4.mga4.nonfree.i586.rpm
nvidia304-kernel-desktop586-latest-304.119-4.mga4.nonfree.i586.rpm
nvidia304-kernel-desktop-latest-304.119-4.mga4.nonfree.i586.rpm
nvidia304-kernel-server-latest-304.119-4.mga4.nonfree.i586.rpm



x86_64:
cpupower-3.12.13-1.mga4.x86_64.rpm
cpupower-devel-3.12.13-1.mga4.x86_64.rpm
kernel-desktop-3.12.13-1.mga4-1-1.mga4.x86_64.rpm
kernel-desktop-devel-3.12.13-1.mga4-1-1.mga4.x86_64.rpm
kernel-desktop-devel-latest-3.12.13-1.mga4.x86_64.rpm
kernel-desktop-latest-3.12.13-1.mga4.x86_64.rpm
kernel-doc-3.12.13-1.mga4.noarch.rpm
kernel-server-3.12.13-1.mga4-1-1.mga4.x86_64.rpm
kernel-server-devel-3.12.13-1.mga4-1-1.mga4.x86_64.rpm
kernel-server-devel-latest-3.12.13-1.mga4.x86_64.rpm
kernel-server-latest-3.12.13-1.mga4.x86_64.rpm
kernel-source-3.12.13-1.mga4-1-1.mga4.noarch.rpm
kernel-source-latest-3.12.13-1.mga4.noarch.rpm
kernel-userspace-headers-3.12.13-1.mga4.x86_64.rpm
perf-3.12.13-1.mga4.x86_64.rpm

vboxadditions-kernel-3.12.13-desktop-1.mga4-4.3.6-10.mga4.x86_64.rpm
vboxadditions-kernel-3.12.13-server-1.mga4-4.3.6-10.mga4.x86_64.rpm
vboxadditions-kernel-desktop-latest-4.3.6-10.mga4.x86_64.rpm
vboxadditions-kernel-server-latest-4.3.6-10.mga4.x86_64.rpm

virtualbox-kernel-3.12.13-desktop-1.mga4-4.3.6-10.mga4.x86_64.rpm
virtualbox-kernel-3.12.13-server-1.mga4-4.3.6-10.mga4.x86_64.rpm
virtualbox-kernel-desktop-latest-4.3.6-10.mga4.x86_64.rpm
virtualbox-kernel-server-latest-4.3.6-10.mga4.x86_64.rpm

xtables-addons-kernel-3.12.13-desktop-1.mga4-2.3-42.mga4.x86_64.rpm
xtables-addons-kernel-3.12.13-server-1.mga4-2.3-42.mga4.x86_64.rpm
xtables-addons-kernel-desktop-latest-2.3-42.mga4.x86_64.rpm
xtables-addons-kernel-server-latest-2.3-42.mga4.x86_64.rpm

broadcom-wl-kernel-3.12.13-desktop-1.mga4-6.30.223.141-26.mga4.nonfree.x86_64.rpm
broadcom-wl-kernel-3.12.13-server-1.mga4-6.30.223.141-26.mga4.nonfree.x86_64.rpm
broadcom-wl-kernel-desktop-latest-6.30.223.141-26.mga4.nonfree.x86_64.rpm
broadcom-wl-kernel-server-latest-6.30.223.141-26.mga4.nonfree.x86_64.rpm

fglrx-kernel-3.12.13-desktop-1.mga4-13.251-11.mga4.nonfree.x86_64.rpm
fglrx-kernel-3.12.13-server-1.mga4-13.251-11.mga4.nonfree.x86_64.rpm
fglrx-kernel-desktop-latest-13.251-11.mga4.nonfree.x86_64.rpm
fglrx-kernel-server-latest-13.251-11.mga4.nonfree.x86_64.rpm

nvidia173-kernel-3.12.13-desktop-1.mga4-173.14.39-12.mga4.nonfree.x86_64.rpm
nvidia173-kernel-3.12.13-server-1.mga4-173.14.39-12.mga4.nonfree.x86_64.rpm
nvidia173-kernel-desktop-latest-173.14.39-12.mga4.nonfree.x86_64.rpm
nvidia173-kernel-server-latest-173.14.39-12.mga4.nonfree.x86_64.rpm

nvidia304-kernel-3.12.13-desktop-1.mga4-304.119-4.mga4.nonfree.x86_64.rpm
nvidia304-kernel-3.12.13-server-1.mga4-304.119-4.mga4.nonfree.x86_64.rpm
nvidia304-kernel-desktop-latest-304.119-4.mga4.nonfree.x86_64.rpm
nvidia304-kernel-server-latest-304.119-4.mga4.nonfree.x86_64.rpm


Reproducible: 

Steps to Reproduce:
Comment 1 David GEIGER 2014-02-22 17:53:45 CET
Tested mga4_64, 


Thomas, here new kernel update (kernel-desktop-3.12.13-1.mga4) boot on text mode until the KDE screen connection.

Power-off is on text mode too.
Comment 2 Thomas Backlund 2014-02-22 18:17:38 CET
Yeah, turns out one of the fixes in upstream for systemd on s390 breaks tty detection for plymouth, so it's being reverted.

So I will have to do a second rebuild :/
Comment 3 Thomas Backlund 2014-02-22 18:36:21 CET
The 2 CVEs fixed in this release are:
(there are more fixes referenced upstream, but we have had the fixes
 backported either since release or 3.12.9, so they wont get listed
 here)

A flaw was found in the way cifs handled iovecs with bogus pointers
userland passed down via writev() during uncached writes.
An unprivileged local user with access to cifs share could use this flaw
to crash the system or leak kernel memory. Privilege escalation cannot
be ruled out (since memory corruption is involved), but is unlikely.
(CVE-2014-0069)

Linux kernel build with the NFS file system(CONFIG_NFS_FS) along with the
support for NFSv4 protocol(CONFIG_NFS_V4) is vulnerable to an information
leakage flaw. It could occur while writing to a file wherein NFS server
has offered write delegation to the client. Such delegation allows NFS
client to perform the said operation locally without instant interaction
with the server.
A user/program could use this flaw to atleast leak kernel memory bytes.
(CVE-2014-2038)
Comment 4 Thomas Backlund 2014-02-23 12:59:31 CET
New fixed set uploaded:

SRPMS:
kernel-3.12.13-2.mga4.src.rpm
kernel-userspace-headers-3.12.13-2.mga4.src.rpm
kmod-vboxadditions-4.3.6-11.mga4.src.rpm
kmod-virtualbox-4.3.6-11.mga4.src.rpm
kmod-xtables-addons-2.3-43.mga4.src.rpm

kmod-broadcom-wl-6.30.223.141-27.mga4.nonfree.src.rpm
kmod-fglrx-13.251-12.mga4.nonfree.src.rpm
kmod-nvidia173-173.14.39-13.mga4.nonfree.src.rpm
kmod-nvidia304-304.119-5.mga4.nonfree.src.rpm



i586:
cpupower-3.12.13-2.mga4.i586.rpm
cpupower-devel-3.12.13-2.mga4.i586.rpm
kernel-desktop-3.12.13-2.mga4-1-1.mga4.i586.rpm
kernel-desktop586-3.12.13-2.mga4-1-1.mga4.i586.rpm
kernel-desktop586-devel-3.12.13-2.mga4-1-1.mga4.i586.rpm
kernel-desktop586-devel-latest-3.12.13-2.mga4.i586.rpm
kernel-desktop586-latest-3.12.13-2.mga4.i586.rpm
kernel-desktop-devel-3.12.13-2.mga4-1-1.mga4.i586.rpm
kernel-desktop-devel-latest-3.12.13-2.mga4.i586.rpm
kernel-desktop-latest-3.12.13-2.mga4.i586.rpm
kernel-doc-3.12.13-2.mga4.noarch.rpm
kernel-server-3.12.13-2.mga4-1-1.mga4.i586.rpm
kernel-server-devel-3.12.13-2.mga4-1-1.mga4.i586.rpm
kernel-server-devel-latest-3.12.13-2.mga4.i586.rpm
kernel-server-latest-3.12.13-2.mga4.i586.rpm
kernel-source-3.12.13-2.mga4-1-1.mga4.noarch.rpm
kernel-source-latest-3.12.13-2.mga4.noarch.rpm
kernel-userspace-headers-3.12.13-2.mga4.i586.rpm
perf-3.12.13-2.mga4.i586.rpm

vboxadditions-kernel-3.12.13-desktop-2.mga4-4.3.6-11.mga4.i586.rpm
vboxadditions-kernel-3.12.13-desktop586-2.mga4-4.3.6-11.mga4.i586.rpm
vboxadditions-kernel-3.12.13-server-2.mga4-4.3.6-11.mga4.i586.rpm
vboxadditions-kernel-desktop586-latest-4.3.6-11.mga4.i586.rpm
vboxadditions-kernel-desktop-latest-4.3.6-11.mga4.i586.rpm
vboxadditions-kernel-server-latest-4.3.6-11.mga4.i586.rpm

virtualbox-kernel-3.12.13-desktop-2.mga4-4.3.6-11.mga4.i586.rpm
virtualbox-kernel-3.12.13-desktop586-2.mga4-4.3.6-11.mga4.i586.rpm
virtualbox-kernel-3.12.13-server-2.mga4-4.3.6-11.mga4.i586.rpm
virtualbox-kernel-desktop586-latest-4.3.6-11.mga4.i586.rpm
virtualbox-kernel-desktop-latest-4.3.6-11.mga4.i586.rpm
virtualbox-kernel-server-latest-4.3.6-11.mga4.i586.rpm

xtables-addons-kernel-3.12.13-desktop-2.mga4-2.3-43.mga4.i586.rpm
xtables-addons-kernel-3.12.13-desktop586-2.mga4-2.3-43.mga4.i586.rpm
xtables-addons-kernel-3.12.13-server-2.mga4-2.3-43.mga4.i586.rpm
xtables-addons-kernel-desktop586-latest-2.3-43.mga4.i586.rpm
xtables-addons-kernel-desktop-latest-2.3-43.mga4.i586.rpm
xtables-addons-kernel-server-latest-2.3-43.mga4.i586.rpm

broadcom-wl-kernel-3.12.13-desktop-2.mga4-6.30.223.141-27.mga4.nonfree.i586.rpm
broadcom-wl-kernel-3.12.13-desktop586-2.mga4-6.30.223.141-27.mga4.nonfree.i586.rpm
broadcom-wl-kernel-3.12.13-server-2.mga4-6.30.223.141-27.mga4.nonfree.i586.rpm
broadcom-wl-kernel-desktop586-latest-6.30.223.141-27.mga4.nonfree.i586.rpm
broadcom-wl-kernel-desktop-latest-6.30.223.141-27.mga4.nonfree.i586.rpm
broadcom-wl-kernel-server-latest-6.30.223.141-27.mga4.nonfree.i586.rpm

fglrx-kernel-3.12.13-desktop-2.mga4-13.251-12.mga4.nonfree.i586.rpm
fglrx-kernel-3.12.13-desktop586-2.mga4-13.251-12.mga4.nonfree.i586.rpm
fglrx-kernel-3.12.13-server-2.mga4-13.251-12.mga4.nonfree.i586.rpm
fglrx-kernel-desktop586-latest-13.251-12.mga4.nonfree.i586.rpm
fglrx-kernel-desktop-latest-13.251-12.mga4.nonfree.i586.rpm
fglrx-kernel-server-latest-13.251-12.mga4.nonfree.i586.rpm

nvidia173-kernel-3.12.13-desktop-2.mga4-173.14.39-13.mga4.nonfree.i586.rpm
nvidia173-kernel-3.12.13-desktop586-2.mga4-173.14.39-13.mga4.nonfree.i586.rpm
nvidia173-kernel-3.12.13-server-2.mga4-173.14.39-13.mga4.nonfree.i586.rpm
nvidia173-kernel-desktop586-latest-173.14.39-13.mga4.nonfree.i586.rpm
nvidia173-kernel-desktop-latest-173.14.39-13.mga4.nonfree.i586.rpm
nvidia173-kernel-server-latest-173.14.39-13.mga4.nonfree.i586.rpm

nvidia304-kernel-3.12.13-desktop-2.mga4-304.119-5.mga4.nonfree.i586.rpm
nvidia304-kernel-3.12.13-desktop586-2.mga4-304.119-5.mga4.nonfree.i586.rpm
nvidia304-kernel-3.12.13-server-2.mga4-304.119-5.mga4.nonfree.i586.rpm
nvidia304-kernel-desktop586-latest-304.119-5.mga4.nonfree.i586.rpm
nvidia304-kernel-desktop-latest-304.119-5.mga4.nonfree.i586.rpm
nvidia304-kernel-server-latest-304.119-5.mga4.nonfree.i586.rpm



x86_64:
cpupower-3.12.13-2.mga4.x86_64.rpm
cpupower-devel-3.12.13-2.mga4.x86_64.rpm
kernel-desktop-3.12.13-2.mga4-1-1.mga4.x86_64.rpm
kernel-desktop-devel-3.12.13-2.mga4-1-1.mga4.x86_64.rpm
kernel-desktop-devel-latest-3.12.13-2.mga4.x86_64.rpm
kernel-desktop-latest-3.12.13-2.mga4.x86_64.rpm
kernel-doc-3.12.13-2.mga4.noarch.rpm
kernel-server-3.12.13-2.mga4-1-1.mga4.x86_64.rpm
kernel-server-devel-3.12.13-2.mga4-1-1.mga4.x86_64.rpm
kernel-server-devel-latest-3.12.13-2.mga4.x86_64.rpm
kernel-server-latest-3.12.13-2.mga4.x86_64.rpm
kernel-source-3.12.13-2.mga4-1-1.mga4.noarch.rpm
kernel-source-latest-3.12.13-2.mga4.noarch.rpm
kernel-userspace-headers-3.12.13-2.mga4.x86_64.rpm
perf-3.12.13-2.mga4.x86_64.rpm

vboxadditions-kernel-3.12.13-desktop-2.mga4-4.3.6-11.mga4.x86_64.rpm
vboxadditions-kernel-3.12.13-server-2.mga4-4.3.6-11.mga4.x86_64.rpm
vboxadditions-kernel-desktop-latest-4.3.6-11.mga4.x86_64.rpm
vboxadditions-kernel-server-latest-4.3.6-11.mga4.x86_64.rpm

virtualbox-kernel-3.12.13-desktop-2.mga4-4.3.6-11.mga4.x86_64.rpm
virtualbox-kernel-3.12.13-server-2.mga4-4.3.6-11.mga4.x86_64.rpm
virtualbox-kernel-desktop-latest-4.3.6-11.mga4.x86_64.rpm
virtualbox-kernel-server-latest-4.3.6-11.mga4.x86_64.rpm

xtables-addons-kernel-3.12.13-desktop-2.mga4-2.3-43.mga4.x86_64.rpm
xtables-addons-kernel-3.12.13-server-2.mga4-2.3-43.mga4.x86_64.rpm
xtables-addons-kernel-desktop-latest-2.3-43.mga4.x86_64.rpm
xtables-addons-kernel-server-latest-2.3-43.mga4.x86_64.rpm

broadcom-wl-kernel-3.12.13-desktop-2.mga4-6.30.223.141-27.mga4.nonfree.x86_64.rpm
broadcom-wl-kernel-3.12.13-server-2.mga4-6.30.223.141-27.mga4.nonfree.x86_64.rpm
broadcom-wl-kernel-desktop-latest-6.30.223.141-27.mga4.nonfree.x86_64.rpm
broadcom-wl-kernel-server-latest-6.30.223.141-27.mga4.nonfree.x86_64.rpm

fglrx-kernel-3.12.13-desktop-2.mga4-13.251-12.mga4.nonfree.x86_64.rpm
fglrx-kernel-3.12.13-server-2.mga4-13.251-12.mga4.nonfree.x86_64.rpm
fglrx-kernel-desktop-latest-13.251-12.mga4.nonfree.x86_64.rpm
fglrx-kernel-server-latest-13.251-12.mga4.nonfree.x86_64.rpm

nvidia173-kernel-3.12.13-desktop-2.mga4-173.14.39-13.mga4.nonfree.x86_64.rpm
nvidia173-kernel-3.12.13-server-2.mga4-173.14.39-13.mga4.nonfree.x86_64.rpm
nvidia173-kernel-desktop-latest-173.14.39-13.mga4.nonfree.x86_64.rpm
nvidia173-kernel-server-latest-173.14.39-13.mga4.nonfree.x86_64.rpm

nvidia304-kernel-3.12.13-desktop-2.mga4-304.119-5.mga4.nonfree.x86_64.rpm
nvidia304-kernel-3.12.13-server-2.mga4-304.119-5.mga4.nonfree.x86_64.rpm
nvidia304-kernel-desktop-latest-304.119-5.mga4.nonfree.x86_64.rpm
nvidia304-kernel-server-latest-304.119-5.mga4.nonfree.x86_64.rpm
Comment 5 David GEIGER 2014-02-23 14:13:55 CET
Tested mga4_64, 

Testing complete for kernel-desktop-3.12.13-2.mga4, now it is good for boot and power-off too.

Nothing to report, Ok for me.


kernel-desktop-3.12.13-2.mga4-1-1.mga4
kernel-desktop-latest-3.12.13-2.mga4
kernel-desktop-devel-3.12.13-2.mga4-1-1.mga4
kernel-desktop-devel-latest-3.12.13-2.mga4
kernel-userspace-headers-3.12.13-2.mga4
virtualbox-kernel-desktop-latest-4.3.6-11.mga4
virtualbox-kernel-3.12.13-desktop-2.mga4-4.3.6-11.mga4
nvidia-current-kernel-3.12.13-desktop-2.mga4-331.49-2.mga4.nonfree
nvidia-current-kernel-desktop-latest-331.49-2.mga4.nonfree
vboxadditions-kernel-3.12.13-desktop-2.mga4-4.3.6-11.mga4
vboxadditions-kernel-desktop-latest-4.3.6-11.mga4
cpupower-3.12.13-2.mga4.x86_64.rpm


ASUS K73S (laptop) :
Intel Core i3-2350M_2.3GHz, 8 GO RAM DDR3, écran LED 17" (1600x900), CG Intel HD intégrée + CG Nvidia GeForce 610M_1GB dédiée (Technologie Optimus).
Comment 6 Bill Wilkinson 2014-02-23 22:16:13 CET
kernel-desktop and server OK with nvidia304 video. on mga4 64, on Presario v6000 laptop.
Comment 7 Bill Wilkinson 2014-02-24 01:28:26 CET
Kernel-server and kernel-desktop both boot normally mga4-32. AMD sempron 3000+, nvidia304.

I'll give this some more time for someone else to test on other hardware, but if we're pushing for the update DVD, it looks OK to me.
Comment 8 Theodoros Kalamatianos 2014-02-25 02:44:25 CET
Just tried this successfully on my system. I tested the following:

- GNOME 3
- Audio and video playback.
- A 3-minute Xonotic game :-)
- CPU frequency switching under load.
- A Java application that I am developing.
- A console-only Mageia 4 VM under KVM
- A Windows 7 VM under KVM

Things of note:

- In my Java application I noticed a >5% performance increase. I believe that this improvement is due to at least two regressions that were affecting me with 3.12.9 and have now been addressed (see upstream commits 0b2adcc86a7007ec8c58bba972c709b234e7626c and b64ba2f3246c0a9d345f8a2cb5c8c2a58e4595f6).

My system:

- Intel i7-3770, Z77 chipset
- 32GB RAM
- nVidia GT 640 GPU (nvidia driver)
- All filesystems+swap on SATA-based mdraid1/5
- All filesystems are Ext4
Comment 9 Theodoros Kalamatianos 2014-02-25 02:46:26 CET
(In reply to Theodoros Kalamatianos from comment #8)

I forgot to mention that this was with the kernel-desktop version - I did not try any of the other alternatives.
Comment 10 Theodoros Kalamatianos 2014-02-25 02:53:30 CET
(In reply to Theodoros Kalamatianos from comment #9)
> (In reply to Theodoros Kalamatianos from comment #8)
> 
> I forgot to mention that this was with the kernel-desktop version - I did
> not try any of the other alternatives.

Oh, and it's an x86_64 system...
Comment 11 Marja van Waes 2014-02-25 15:31:45 CET
installed (on a ThinkPad R50e)

cpupower-3.12.13-2.mga4.i586
kernel-desktop-3.12.13-2.mga4-1-1.mga4.i586
kernel-desktop-latest-3.12.13-2.mga4.i586

Boot up, sound, video, wlan all work as expected. I don't see anything odd

The fan starts before the laptop gets hot.
Comment 12 Marja van Waes 2014-02-25 16:32:23 CET
after that installed

kernel-server-3.12.13-2.mga4-1-1.mga4.i586.rpm
kernel-server-latest-3.12.13-2.mga4.i586.rpm

and rebooted, choosing this kernel to boot with.

Again boot up, video+sound and wlan all work as expected, fan starts when needed.


Then installed:
- kernel-desktop586-3.12.13-2.mga4-1-1.mga4.i586
- kernel-desktop586-latest-3.12.13-2.mga4.i586

rebooted, using that kernel to boot with.

Again nothing odd, boot up, video & sound and wlan and poweroff work fine.
Comment 13 William Kenney 2014-02-25 17:54:43 CET
In VirtualBox, M4, KDE, 32-bit

Package(s) under test:
kernel-desktop-3 vboxadditions-kernel-3

default install:
kernel-desktop-3.12.9-1.mga4
vboxadditions-kernel-3.12.9-desktop-1.mga4

Boots to working desktop

install kernel-desktop from updates_testing

Install:
kernel-desktop-3.12.13-2.mga4
vboxadditions-kernel-3.12.13-desktop-2.mga4

re-boots to working desktop

[root@localhost wilcal]# uname -a
Linux localhost 3.12.13-desktop-2.mga4 #1 SMP Sun Feb 23 00:16:54 UTC 2014 i686 i686 i686 GNU/Linux

Looks fine here.

Test platform:
Intel Core i7-2600K Sandy Bridge 3.4GHz
GIGABYTE GA-Z68X-UD3-B3 LGA 1155 MoBo
GIGABYTE GV-N440D3-1GI Nvidia GeForce GT 440 (Fermi) 1GB
RTL8111/8168B PCI Express 1Gbit Ethernet
DRAM 16GB (4 x 4GB)
Mageia 4 64-bit, Nvidia driver
VirtualBox 4.3.6-1.mga4.x86_64.rpm
Comment 14 William Kenney 2014-02-25 18:12:19 CET
In VirtualBox, M4, KDE, 64-bit

Package(s) under test:
kernel-desktop-3 vboxadditions-kernel-3

default install:
kernel-desktop-3.12.9-1.mga4
vboxadditions-kernel-3.12.9-desktop-1.mga4

[wilcal@localhost ~]$ uname -a
Linux localhost 3.12.9-desktop-1.mga4 #1 SMP Sat Feb 1 18:16:06 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

Boots to working desktop

install kernel-desktop from updates_testing

Install:
kernel-desktop-3.12.13-2.mga4
vboxadditions-kernel-3.12.13-desktop-2.mga4

re-boots to working desktop

[wilcal@localhost ~]$ uname -a
Linux localhost 3.12.13-desktop-2.mga4 #1 SMP Sat Feb 22 23:45:28 UTC 2014 x86_64 x86_64 x86_64 GNU/Linux

Looks fine here.

Test platform:
Intel Core i7-2600K Sandy Bridge 3.4GHz
GIGABYTE GA-Z68X-UD3-B3 LGA 1155 MoBo
GIGABYTE GV-N440D3-1GI Nvidia GeForce GT 440 (Fermi) 1GB
RTL8111/8168B PCI Express 1Gbit Ethernet
DRAM 16GB (4 x 4GB)
Mageia 4 64-bit, Nvidia driver
VirtualBox 4.3.6-1.mga4.x86_64.rpm
Comment 15 Rémi Verschelde 2014-02-26 12:41:48 CET
kernel-desktop-3.12.13-2.mga4 works fine here on Mageia 4 x86_64.
Comment 16 Rémi Verschelde 2014-02-26 14:36:14 CET
Advisory uploaded.

Validating because we want this to be broadly tested in Mageia 4 before being included as the default kernel on the v2 ISOs, as it would be in release freeze.

Please push to 4 {core,nonfree}/updates
Comment 17 Thomas Backlund 2014-02-26 15:00:28 CET
note that 12581 must be validated too before pushing this one as they need to go out on the same time
Comment 18 Thomas Backlund 2014-02-26 15:00:55 CET
that would be 12851  of course
Comment 19 Thomas Backlund 2014-02-26 19:45:17 CET
Update pushed:
http://advisories.mageia.org/MGASA-2014-0103.html

Note You need to log in before you can comment on or make changes to this bug.